Multivariate Pattern Analysis in Python

# mvpa2.base.constraints.AltConstraints

class `mvpa2.base.constraints.``AltConstraints`(*constraints)

  Logical OR for constraints.

  An arbitrary number of constraints can be given. They are evaluated in the order in which they were specified. The value returned by the first constraint that does not raise an exception is the global return value.

  Documentation is aggregated for all alternative constraints.

  Methods

  `__call__`(value) |
  `long_description`() |
  `short_description`() |

  Parameters:

  *constraints

  > Alternative constraints

  Methods

  `__call__`(value) |
  `long_description`() |
  `short_description`() |

  `long_description`()
  `short_description`()